////////////////////////////////////////////////////////////////////////////////
// Module    : win2600.c
// Function  : DLL Startup/Shutdown functions and DLL function pointers.
// Usage     : Linked by all Windows apps that access S2600.DLL functions.
// Author    : Jim Lamberson
// Copyright : (C) 2008 Sensoray
////////////////////////////////////////////////////////////////////////////////

#include <windows.h>

#define APIFUNC
//#define S26_BUILDING_MOD                    // Configure include files for building the middleware core.

#include "app2600.h"


////////////////////////////////////////////////////////////////////
// Open S2600.DLL.
// Returns zero if successful, otherwise error code.
// NumMMs is the number of MMs (model 2601 modules) in your system.

APIFUNC int CCONV S26_DLLOpen( int NumMMs )
{
	// Initialize the driver.
//	OutputDebugStringA("dll open\n");
	return S26_DriverOpen( NumMMs );
}

///////////////////////////////////////////////////////////////////
// Sever link to S2600.DLL.

APIFUNC void CCONV S26_DLLClose( void )
{
	// Shutdown the driver.
	S26_DriverClose();
}
